org.apache.any23.plugin.crawler

## Class SiteCrawlerTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.Any23OnlineTestBase
    - - org.apache.any23.plugin.crawler.SiteCrawlerTest

-     public class SiteCrawlerTest
      extends Any23OnlineTestBase

  Test case for `SiteCrawler`.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `logger`

    - ### Fields inherited from class org.apache.any23.Any23OnlineTestBase

      `ONLINE_TEST_DISABLED_FLAG`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteCrawlerTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testSiteCrawling()` Tests the main crawler use case.

    - ### Methods inherited from class org.apache.any23.Any23OnlineTestBase

      `assumeOnlineAllowed`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static final org.slf4j.Logger logger

  - ### Constructor Detail

    - #### SiteCrawlerTest

          public SiteCrawlerTest()

  - ### Method Detail

    - #### testSiteCrawling

          public void testSiteCrawling()
                                throws Exception

      Tests the main crawler use case.
      Throws:
        `Exception` - if there is an error asserting test data

Copyright © 2010–2019 The Apache Software Foundation. All rights reserved.